Resource Center/Network Service/Network Service Operations/Port Forwarding Operations
PUTPort Forwarding OperationsSince 0.6SynchronousAuth Required
UpdatePortForwardingRule
UpdatePortForwardingRule
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updateportforwardingruleObjectRequiredupdateportforwardingrule request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/port-forwarding/{uuid}/actions
/zstack/v1/port-forwarding/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/port-forwarding/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateportforwardingrule":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "420edb331ec34871a416e570fa4faf8b", "name": "TestAttachRule", "description": "test atatch rule", "vipIp": "192.168.0.187", "guestIp": "10.0.0.244", "vipUuid": "8282dbb28b70416790bd83d08d3718ba", "vipPortStart": 33.0, "vipPortEnd": 33.0, "privatePortStart": 33.0, "privatePortEnd": 33.0, "vmNicUuid": "2e63ec7524074e9dad1255d5e02f0697", "protocolType": "TCP", "state": "Enabled", "allowedCidr": "0.0.0.0/0", "createDate": "Jun 7, 2017 9:20:38 PM", "lastOpDate": "Jun 7, 2017 9:20:38 PM" } }Change History
This API has no change history records yet.
